%define upstream_name    Number-Phone
%define upstream_version 3.0014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A pure perl multi-level hash/array DBM
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBM::Deep) >= 2.0.800
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::utf8)
BuildArch:  noarch

%description
This is a base class which encapsulates that information about phone
numbers in the North American Numbering Plan (NANP) which are common to all
NANP countries - that is, those whose international dialling code is +1. If
you are dealing with phone numbers in any of those countries, you should
'use' this module. It will then load the country-specific modules for you
as needed.

Country-specific modules should inherit from this module and provide their
own versions of methods as necessary. However, they should not provide an
'is_valid' method or a constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml NOTES README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.1.400-3pclos2017
- rebuild against updates

